# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sequel_paranoia/version'

Gem::Specification.new do |spec|
  spec.name          = "sequel_paranoia"
  spec.version       = SequelParanoia::VERSION
  spec.authors       = ["Misha Conway"]
  spec.email         = ["MishaAConway@gmail.com"]
  spec.description   = <<EOF
  Works like ActiveRecord's acts_as_paranoid, but for sequel.
-
I am not the original author of this plugin. I merely took the source, fixed one minor bug, and put it up on rubygems because I found it so useful.
The original author is at https://gist.github.com/bgentry. To automatically use deleted_at as as a soft delete field, simply setup as such: Sequel::Model.plugin :paranoia.

EOF

  spec.summary       = <<EOF
    Works like ActiveRecord's acts_as_paranoid, but for sequel.

  I am not the original author of this plugin. I merely took the source, fixed one minor bug, and put it up on rubygems because I found it so useful.
  The original author is at https://gist.github.com/bgentry. To automatically use deleted_at as as a soft delete field, simply setup as such: Sequel::Model.plugin :paranoia.

EOF

  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
